/* universal selector */
* {
    background-color: beige;
}

/* element selector */
h1 {
    color: blue;
}

/* id selector */
#article1 {
    text-decoration: line-through;
}

/* class selector */
/* select all spans with the class important */
span.important {
    color: red;
}

/* attribute selector */
article[lang="en"] {
    text-decoration: line-through;
}

/*  */

/* 1. Descendant combinator (space) */
article h1 {
    color: red;
}

/* 2. Adjacent sibling combinator */
h1 + p {
    color: green;
}
